Last Comment Bug 640587 - Page up/down behaviour changes to "page back/forward"
: Page up/down behaviour changes to "page back/forward"
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Widget: Win32 (show other bugs)
: Trunk
: x86_64 Windows 7
: -- major with 38 votes (vote)
: mozilla6
Assigned To: Cameron McCormack (:heycam)
:
Mentors:
: 640865 667180 (view as bug list)
Depends on:
Blocks: 593372
  Show dependency treegraph
 
Reported: 2011-03-10 06:23 PST by Elideb
Modified: 2012-03-20 01:26 PDT (History)
38 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected
fixed


Attachments
Disable the swipe gesture half of the Elantech hack for driver versions < 8. (7.52 KB, patch)
2011-06-12 19:03 PDT, Cameron McCormack (:heycam)
jmathies: review+
asa: approval‑mozilla‑aurora+
Details | Diff | Review

Description Elideb 2011-03-10 06:23:55 PST
User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0) Gecko/20100101 Firefox/4.0
Build Identifier: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0) Gecko/20100101 Firefox/4.0

After starting Firefox, the Page Up/Down keys work fine at first. Ctrl + Page Up/Down cycles tabs and Page Up/Down scroll the current page. But after all the keys are released for the first time the behaviour is broken: pressing Page Up/Down cycles through the tab's history (back and forward, respectively) and Ctrl + Page Up/Down does nothing.

Because of this, page scrolling is a nightmare, since Page Up/Down have a different behaviour than expected from any program.

The Ctrl key is not the problem, because it still behaves properly. Ctrl + t/c/v/x still work as expected.

All add-ons have been disabled. Page Up/Down work as usual in other programs (Opera, Notepad++).
I experienced this behaviour for the first time in Firefox 4.0 Beta 12.

Reproducible: Always

Steps to Reproduce:
1. Start Firefox with several tabs already open (remember tabs from last time).
2. Hold Ctrl and press Page Up/Down several times, navigating the tabs.
3. Release Ctrl and use Page Up/Down again.
Actual Results:  
Pressing Page Up/Down while holding Ctrl does nothing. Without holding Ctrl, the current page is replaced with the previous or next one in the tab's history.

Expected Results:  
Pressing Page Up/Down while holding Ctrl should cycle tabs. Without holding Ctrl, the current page should scroll up or down.
Comment 1 Elideb 2011-03-10 07:06:46 PST
After restarting the PC, I've been unable to reproduce it. However, it's been the second time I've experienced this problem in a very short time, so there must be something to it.

I think the bug is related to a Flash lock up I had while watching the video in here at 720p (http://www.joystiq.com/2011/03/10/ps3-firmware-3-60-is-live-with-cloud-saves-oh-and-hacker-su/). The system froze for almost about a minute and then resumed. I experienced the problem with Page Up/Down afterwards. Maybe the Flash plugin didn't recover too gracefully from the error?

The freeze might have been caused by a mild HD failure (that's the only way I can explain a 60s complete computer lock), but I am not sure. I had several applications open at the time, some of them pretty demanding (Visual Studio 2010).
Comment 2 Brandon 2011-03-11 05:28:24 PST
I am experiencing this problem. Page up/Page down work fine at first, but if I put my computer into sleep mode and then wake it back up, page up/page down change to page back/page forward. Restarting Firefox fixes the problem. I did not see this behavior in beta 11, and it started in beta 12.
Comment 3 Brandon 2011-03-11 09:58:33 PST
Okay, I'm tentatively ruling out sleep mode- it seems like there may be some other trigger that sets off the switch to bad functionality. I'll be surfing just fine on one webpage, then open I'll another and when it finishes loading, page up/down becomes page back/forward.
Comment 4 Brandon 2011-03-11 10:31:38 PST
Well, looks like I can reliably induce the problem by putting my computer to sleep, but some pages seem to randomly induce it upon loading as well. Not sure where to go from here.
Comment 5 Elideb 2011-03-18 15:21:35 PDT
The exact same problem has just materialized, but there was no sleeping or system lock (that I've perceived).
I was checking Gmail and Wikipedia actively (I've got other 3 tabs open plus two inactive Panorama tab groups with 15 tabs), and alt-tabbing quite a bit.
Comment 6 Elideb 2011-03-18 15:24:19 PDT
By the way, closing Firefox and re-launching it does not solve the issue for me.
Comment 7 JonathanC 2011-03-24 21:58:46 PDT
This definitely seems to be flash related. The problem doesn't appear until I visit a site with flash. Even with the flashblocker extension installed, the error still appeared, but after disabling Shockwave Flash [Add-ons > Plug-ins] it seems to have stopped. 

Can anyone else confirm this solution?
Comment 8 cirno 2011-03-25 06:22:48 PDT
The problem is NOT just flash related.

I asked for help here https://support.mozilla.com/de/questions/796425

I figured out, that Page up/down stops working correctly on ANY plugin activity. I tried the flash, java and divx plugin. I have this problem only on one of my pcs. A fresh profile doesn't help.

Restarting the browser usually fixes the problem, killing plugin-container.exe does not.
Comment 9 JonathanC 2011-03-25 14:10:49 PDT
Correct. As well as flash, I just tried using a page with java, a page with silverlight and a page with quicktime page and all three caused the pageup/down buttons to stop functioning normally.
Comment 10 cirno 2011-04-02 06:56:56 PDT
I noticed that 4 people (including me) use an Asus (notebook), see http://support.mozilla.com/en-US/questions/795539

Could this be related? It would still be strange though, because everything works fine with my UL80-VT keyboard outside of ff4.
Comment 11 irfan 2011-04-02 13:56:40 PDT
(In reply to comment #10)
> I noticed that 4 people (including me) use an Asus (notebook), see
> http://support.mozilla.com/en-US/questions/795539
> 
> Could this be related? It would still be strange though, because everything
> works fine with my UL80-VT keyboard outside of ff4.

Me too. Asus A42JA
Comment 12 esseelig 2011-04-02 14:15:41 PDT
Same here: Asus K61IC.

I'd originally thought that the shortcut keys were just changed outright for Firefox 4, or that it happened all the time, but after restarting Firefox at one point, Page Up/Down indeed briefly was working for scrolling or switching tabs.
Comment 13 Brandon 2011-04-02 16:13:00 PDT
Asus 1015pn netbook here
Comment 14 MMB 2011-04-03 00:35:39 PDT
I'm experiencing this bug on a custom-built desktop PC, with an ASUS M4A79XTD EVO motherboard.
Comment 15 Elideb 2011-04-03 06:24:40 PDT
ASUS UL30A notebook. However, everything seems fine in my old custom built desktop with an ASUS P5N32-E motherboard.

It's a confirmed ASUS issue, apparently. I'll check which ASUS software is still installed in my laptop. I removed most, but not everything yet.
Comment 16 Matus 2011-04-03 19:20:08 PDT
I have an Asus UL30A also. I did some testing and it seems that it is in fact one of these applications that are causing the problem. However, I don't have time to test all of them individually at the moment.

AI Recovery
ASUS AP Bank
ASUS LifeFrame3
Asus MultiFrame
Asus WebStorage
ATK Hotkey
ATK Media
ATKOSD2
ControlDeck
FancyStart
Fast Boot
Splendid
WinFLash
Wireless Console 3
Comment 17 irfan 2011-04-03 19:32:47 PDT
I have only,

ATK Package(Hotkey+Media+OSD2)
LifeFrame3
Wireless Console 3

and problem exist.
Comment 18 Matus 2011-04-03 19:53:42 PDT
Thank you irfan,

You are right, it is the "ATK Hotkey" that takes care of the special Asus function keys. The process is "HControl.exe" that spawns three more processes "ATKOSD.exe" "KBFiltr.exe" and "WDC.exe". The problem is persistent even after the processes are killed. A reboot is required to fix the problem.
Comment 19 Gavin Foster 2011-04-04 11:42:43 PDT
Same problem here. ASUS UL30v.  Does not happen with any other browser, including previous Firefox version.
Comment 20 Nikita 2011-04-08 06:46:26 PDT
Same problem on ASUS U50Vg with Windows 7 x64.
Comment 21 Pedro Timoteo 2011-04-08 09:45:54 PDT
Confirmed on an Asus 1015PED netbook, running Windows 7 Starter (SP1, 32-bit). No problems at all on my Acer desktop (Windows 7 Home Premium (SP1, 64-bit)). Seems indeed to be an Asus thing.
Comment 22 Frank Masolijn 2011-04-09 08:43:38 PDT
Same problem with another Asus UL30v. Doesn't happen with another browser, nor with a previous version of Firefox. What needs to be done to find out whether the bug is in ATK or FF?
Comment 23 Attila Mesterhazy 2011-04-09 15:18:03 PDT
Same problem here on my ASUS UL30v notebook with Win7 64 bit and Firefox 4. On previous versions I didn't have this problem.
Comment 24 Maksym Kozub 2011-04-10 04:34:29 PDT
Same problem here on two Samsung NB30 netbooks (my wife's and mine), with an external Gemini USB keyboard attached, as well as with the netbook keyboard.
One netbook has Firefox 4.0 Ukrainian running under Windows 7 Starter Russian, the other has Firefox 4.0 Russian under Windows 7 Starter Russian.
It did not happen with Firefox 3.6.x (up to 3.6.16) on the same systems.
PageUp and PageDown work as expected at first, and switch to Forward and Back, respectively, after some pages are loaded. I will try to reproduce it later without Flash etc.
Comment 25 Tim (fmdeveloper) 2011-04-23 23:33:47 PDT
*** Bug 640865 has been marked as a duplicate of this bug. ***
Comment 26 Albert 2011-04-24 05:02:56 PDT
Same problem here on my ASUS A42JY with Win7 64 bit and Firefox 4.
Comment 27 Brain RIPper 2011-04-26 22:41:30 PDT
Same problem:
Asus K52J notebook, previous version of FireFox (3.x) worked fine, all others apps now works fine with PgUp/PgDn.

P.S. bug status still "unconfirmed"?
Comment 28 Jon W 2011-04-27 23:17:32 PDT
I have the same problem after updating to 4.0 (Windows 7 x64, Asus UL30A). Makes browsing with Firefox 4 much slower compared to 3.6 and other browsers
Comment 29 Jon W 2011-04-27 23:24:42 PDT
^ Also, the problem sometimes goes away randomly during the same session and comes back again. >90% of the time, the problem is there
Comment 30 Maksym Kozub 2011-04-29 13:25:27 PDT
The problem exists in Firefox 4.0.1, too.
Comment 31 J Daggar 2011-05-01 18:34:14 PDT
This may be some way that Caret browsing gets turned on against every setting.

Under Options/Advanced, I have disabled "Always use the cursor to navigate within pages"

Under "about:config" I have turned off every related to caret browsing.

However, the caret still shows up on the google search page.  Somehow, caret browsing is turning on in spite of every measure to deactivate it.

Using Firefox 4.01 on Windows 7 32-bit, Samsung NF310
Comment 32 Frank Masolijn 2011-05-03 12:55:39 PDT
As far as I can tell this doesn't have anything to do with Caret Browsing... at least, when I press F7 while having this problem it asks me whether I want to enable Caret Browsing, this implies that Caret Browsing is off...

What I'd however really like to see in this list of comments is a response of someone who can explain/tell what to do to get this bug confirmed and acknowledged... I've been browsing around and seem to have found at least several hundred people indicating they're having this or extremely similar problems and with the first report from the 10th of March it seems as if nothing is happening.

I'd be willing to help, but I cannot until someone actually takes charge and tells what to do...
Comment 33 Jon W 2011-05-03 17:43:36 PDT
Ditto on that. Really disappointed this hasn't been addressed, given the number of people who have reported the problem on other forums, for instance, Mozilla forums:

http://support.mozilla.com/en-US/questions/795539
https://support.mozilla.com/de/questions/796425
http://support.mozilla.com/my/questions/799752

Tried 4.01, problem is still there. For now, will be using Firefox 3.6 / Chrome 11.
Comment 34 J Daggar 2011-05-03 20:25:34 PDT
I've only seen this problem on laptops, even when using a standard keyboard plugged into a laptop.  Has anyone seen this on a desktop yet?  

I don't know what triggers it.  Flash does not do it-- I can go to youtube, watch a video and not see it.  Hibernating and waking up does not do it.  However, it does happen before long, and then it will not go away until a system reboot (restarting firefox is not enough to fix it).
Comment 35 J Daggar 2011-05-03 20:56:50 PDT
Also: The report says WIn7 64-bit, but I'm seeing it on 32-bit, and on WinXP 32-bit as well.
Comment 36 cybridz 2011-05-03 21:28:49 PDT
I'm using Win7 32 bit on Asus UL30VT. Bug still exists after 4.01 update.
Comment 37 Elideb 2011-05-04 04:12:30 PDT
For newcomers, the problem has been tracked down to an issue with ASUS' ATK Hotkey software. It happens in laptop and desktop PCs alike, provided said software is running.

I cannot mark the bug as happening in more than one platform and OS, and don't know what's the way to state the bug happens in more than one. Should I mark it as all OSs, and explain that it affects all Windows?
Comment 38 Brendon McCarthy 2011-05-04 05:37:58 PDT
(In reply to comment #37)

Same issue, page up acts as back (or backspace) in browser. Not using ASUS branded product. Issue is on Samsung QX410 notebook. Windows 7 64. All plugins disabled. Similar to above issues. Restarting browser does not resolve issue. Unsure if rebooting does or not. Not running any ASUS branded software. ELAN SmartPad is the only known non-Microsoft interface (mouse). No known keyboard interface/hotkey apps are running.
Comment 39 J Daggar 2011-05-04 05:52:44 PDT
I've seen this problem on an Acer and a Samsung laptop, neither of which run Asus' ATK.  However, they are both laptops, and are both running their own manufacturer's variety of hotkey software.  

I have not seen it on my desktops (a lenovo and a home-built), but they aren't running hotkey support.  It might be related some system call commonly used in laptop hotkey drivers, but that's just speculation.
Comment 40 Richard G. 2011-05-07 10:59:12 PDT
Easily reproducible on a Samsung laptop.

For me the problem DOES go away when Firefox is restarted, and seems to require some plug-in related activity for the problem to be reintroduced. All I have to do is just open YouTube in a new tab, and PgUp/PgDn stop working in all tabs until the browser is restarted.
Comment 41 Attila Mesterhazy 2011-05-07 22:26:47 PDT
(In reply to comment #40)
> For me the problem DOES go away when Firefox is restarted, and seems to
> require some plug-in related activity for the problem to be reintroduced.
> All I have to do is just open YouTube in a new tab, and PgUp/PgDn stop
> working in all tabs until the browser is restarted.

I can confirm that. It goes away with a restart and PgUp/PgDn stops wirking with opening YouTube.
Comment 42 Brendon McCarthy 2011-05-08 00:58:31 PDT
I rarely visit YouTube. When I open up my browser, two versions of Gmail load up and Google. Almost immediately PgUp/Dn stop working correctly.
Comment 43 Daniel R. 2011-05-09 18:54:29 PDT
Running Windows 7 Home Premium x64 on ASUS X5DAB-SX070V laptop, using Firefox 4.0.1. Got the very same problem, with Page Up/Down changing their behaviour from scrolling up/down page-wise to going back/forward a page.

Right after starting Firefox, PgUp/Dn work as expected, scrolling through the currently loaded page. However, after I either 1) visit ex. YouTube (haven't tested other sites myself) or 2) - and this is interesting, likely related to ASUS's hotkey software - change ex. the system volume or display brightness using the machine's Fn+Fxx shortcuts, the PgUp/Dn key's behaviour changes to this faulty behaviour, with the keys now going back or forward a page. In my case, restarting Firefox fixes this problem until I, again, either visit YouTube or use one of the laptop's keyboard shortcuts.

So, for example, I quit the Firefox session with this Bugzilla page opened, restart the browser and restore the previous session. At this point, the keys work correctly, but if I now press Fn+F11 to lower the volume, the problem occures again and PgUp brings me one page back in this tab's history.

I have not yet tried disabling the ASUS hotkey software.
Comment 44 JonathanC 2011-05-10 09:46:13 PDT
I can confirm what Daniel R. has said: Using my the Fn+Fxx shortcuts (eg. for volume control) does trigger the change in behaviour of the PgUp/Dn keys. 

I'm using an ASUS UL80AG, Windows 7 Home Premium and Firefox 4.0.1.
Comment 45 rctgamer3 2011-05-12 12:10:20 PDT
Using a ASUS K52JB, PgUp/PgDn don't work since upgrading to FF4.
Comment 46 Paolo Curray 2011-05-14 05:45:56 PDT
I can also confirm what Daniel R said. Using the fn+Fxx keys does reproduce the problem. Also going to youtube after a restart triggers the malfunction. I am using an ASUS N61j, Win 7 x64
Comment 47 kita.mishra 2011-05-23 13:10:32 PDT
Just installed FF4 on a brand new Samsung QX410-S02 notebook running Win7 x64. Did not have this problem with FF4 on the PC notebook I've been using till now (Dell XPS M1330 running Win7 x86). Noticed this bug almost immediately on the Samsung (though it does disappear briefly from time to time). Only plugins are Silverlight, Flash, and for media players (Quick Time, Real, DivX, VLC).
Comment 48 dmtf2010 2011-05-25 05:24:38 PDT
I had exactly the same issue with my Asus N71 notebook (Win7 x86) after upgrading to FF4.

After first scrolling attempt using built-in Elantech touchpad pageup/pagedown keys changed their behavior to back/forward.
This was fixed only by browser restart.

Further googling found this issue:
https://bugzilla.mozilla.org/show_bug.cgi?id=593372

It describes some kind of workaround specially for Elantech touchpads, related to back/forward swipes.
Seems like that "fix" is the direct cause of this bug.

Thankfully, it can be disabled via "ui.elantech_gesture_hacks.enabled" preference.
After doing this, pageup/pagedown behavior returned to normal.

So, the solution is:
1. Go to about:config
2. Find ui.elantech_gesture_hacks.enabled
3. Change its value from -1 to 0
4. Restart FF
5. If you run into a bug that option was designed to fix (non-working page swipe gestures), install the latest Elantech driver (http://www.techspot.com/drivers/driver/file/information/14513/) and reboot.

That worked for me perfectly.
Comment 49 Brendon McCarthy 2011-05-25 05:41:54 PDT
The ELAN fix works for me on my Samsung QX410 with ELAN Version 8.0.7.1 installed. Nothing else seems to be affect, good or bad, by turning off that switch.
Comment 50 J Daggar 2011-05-25 06:33:16 PDT
dmtf2010's fix works for me on my Samsung NF310.  Very good find.
Comment 51 Daniel R. 2011-05-25 09:06:40 PDT
Disabling "ui.elantech_gesture_hacks.enabled" helped for me, PgUp/Dn now still work correctly even after visiting ex. YouTube or using the laptop's Fn shortcuts. I'm not really using the touchpad, rather I'm using a wireless USB mouse most of the time, so I couldn't really say much about its behavior now.

For the record, ASUS X5DAB-SX070V laptop running Win 7 HP x64, which has a "ELAN PS/2 Port Smart-Pad", using driver version 7.0.5.5 dated June 11th 2009.
Comment 52 Frank Masolijn 2011-05-25 09:18:07 PDT
Confirming that disabling "ui.elantech_gesture_backs.enabled" fixed the problem for me.

Makes me seriously wonder though whether the default value for this option in future releases of FireFox should be 0 instead of -1 for something even labelled a hack.
Comment 53 Richard G. 2011-05-26 23:57:29 PDT
Another confirmation that disabling "ui.elantech_gesture_hacks.enabled" fixed the problem (Samsung laptop running Windows 7 64-bit with ELAN driver 8.0.7.0, dated 8/9/2010). Thanks for publishing the workaround, dmtf2010!

Also agree with Frank that this option should likely be disabled by default. Based on dmtf2010's info, the need for the hack may not even exist anymore when using newer ELAN drivers.
Comment 54 Attila Mesterhazy 2011-05-27 00:53:23 PDT
Yet another confirmation that the "ui.elantech_gesture_hacks.enabled=0" setting fix the problem. Thanks!
Comment 55 Awn 2011-05-28 10:42:04 PDT
Thanks! Changing ui.elantech_gesture_hacks.enabled to 0 fix the problem.
Comment 56 lurker69 2011-05-29 13:58:43 PDT
Confirming that disabling "ui.elantech_gesture_hacks.enabled" fixed the problem for me.
I am surprised that no one still assigned to this problem, and it isn't even confirmed as a problem.
Comment 57 MusikMonk 2011-05-29 14:09:20 PDT
One more confirmation that setting "ui.elantech_gesture_hacks.enabled" to 0 fixes the issue. Using a K52J Asus laptop, Win7 64bit and tried it on latest Nightly, Aurora, Beta and stable.

Also, thank you dmtf2010 for the driver. The ones Asus has for my touchpad are missing most of the multi-touch gestures.
Comment 58 Ken Munro 2011-05-30 10:09:45 PDT
I am using an ASUS UL30A laptop, and setting "ui.elantech_gesture_hacks.enabled" to 0 fixed it for me as well.
Comment 59 vicsage 2011-05-31 10:58:37 PDT
(In reply to comment #48)
> I had exactly the same issue with my Asus N71 notebook (Win7 x86) after
> upgrading to FF4.
> 
> After first scrolling attempt using built-in Elantech touchpad
> pageup/pagedown keys changed their behavior to back/forward.
> This was fixed only by browser restart.
> 
> Further googling found this issue:
> https://bugzilla.mozilla.org/show_bug.cgi?id=593372
> 
> It describes some kind of workaround specially for Elantech touchpads,
> related to back/forward swipes.
> Seems like that "fix" is the direct cause of this bug.
> 
> Thankfully, it can be disabled via "ui.elantech_gesture_hacks.enabled"
> preference.
> After doing this, pageup/pagedown behavior returned to normal.
> 
> So, the solution is:
> 1. Go to about:config
> 2. Find ui.elantech_gesture_hacks.enabled
> 3. Change its value from -1 to 0
> 4. Restart FF
> 5. If you run into a bug that option was designed to fix (non-working page
> swipe gestures), install the latest Elantech driver
> (http://www.techspot.com/drivers/driver/file/information/14513/) and reboot.
> 
> That worked for me perfectly.

I wish I could report success from this solution. Sadly, I can't. 

I tried it, and I found no difference. The program still failed to respond to inputs from the keys. 

If it matters, I'm on a ThinkPad W500 running Win7 64-bit Pro and FF 4.0.1.
Comment 60 Cameron McCormack (:heycam) 2011-06-01 22:08:38 PDT
This must be related to the Elantech gesture hack as others have identified.  I'm unable to reproduce the problem with an Asus Eee PC (with Elantech touchpad) locally, tested with various versions of the driver on Windows XP -- 7.0.5.11, 7.0.5.13, 8.0.5.3 and the 8.0.7.0 version dmtf2010 linked to in comment 48.  I tried loading a YouTube video (verified to be using a plugin), using the Fn+Function keys mentioned in comment 43 and using the pinch-to-zoom gesture.  After these, the Page Up/Down keys on the laptop's internal keyboard (which require pressing Fn) and ones on an external keyboard continue to work.

Does anyone experience the problem using Windows XP?  If not, I'm wondering whether it's specific to Win7 or the Win7 versions of the Elantech drivers.
Comment 61 JohnN 2011-06-05 23:43:59 PDT
I am using an Asus Eee PC (1015PEM) with Elantech touchpad, Windows7 Starter (32-bit) & FF 4.0.1.  I was having the same issue with PgUp/PgDn and found this bug.  I'm confirming that dmtf2010's suggestion of changing ui.elantech_gesture_hacks.enabled from -1 to 0 has worked for me too.  Thanks!
Comment 62 Cameron McCormack (:heycam) 2011-06-09 17:17:46 PDT
I now have Windows 7 running on this Eee PC 1000HE, but still I am unable to reproduce the problem.

Note that there are two parts to the Elantech gesture hack built in to Firefox -- one makes left/right swiping perform a page back/forward instead of page up/down, and the other makes pinch-to-zoom work.  All v8 Elantech drivers I have tried do not actually need the part of the hack to make swiping work, but v7 ones do.  The pinch-to-zoom part is still needed for all versions of the driver I've tried.  So note that if you do manually disable the hack, pinch-to-zoom will stop working.  (That may or may not bother you, however.)

Although I can't pinpoint the problem, it's likely that it's the swiping part of the hack that is interfering with the normal Page Up/Down key behaviour.  I'll write a patch to disable the swipe half of the hack automatically with v8 drivers.  I'll need one of you who does have the problem to test it out for me once it's ready.
Comment 63 Cameron McCormack (:heycam) 2011-06-11 04:06:33 PDT
https://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/cmccormack@mozilla.com-a17b7217c8f5/try-win32/firefox-7.0a1.en-US.win32.zip

This build has the swipe gesture part of the hack disabled for v8 drivers.  Could a few of you who had success with setting the ui.elantech_gesture_hacks.enabled pref to 0 reset it to -1, try the above build, and let me know your Elantech driver version number?  Thanks.
Comment 64 Richard G. 2011-06-11 10:25:48 PDT
Hello Cameron,

I tried the Nightly build with the hacks option re-enabled, and I'm happy to report that it seems to have solved the problem. Switched between Firefox 4.0.1 and that build a few times to make sure the problem was still consistently reproducible in 4.0.1 and not in Nightly. Consistent failures in 4.0.1, consistently working in Nightly. Very nice, thank you!

ELAN driver 8.0.7.0 (dated 8/9/2010), running on Windows 7 64-bit (Samsung laptop)

Just let me know if there is any other information you need or specific test you would like me to perform.

Thanks again,

- Richard.
Comment 65 Cameron McCormack (:heycam) 2011-06-12 19:03:08 PDT
Created attachment 538797 [details] [diff] [review]
Disable the swipe gesture half of the Elantech hack for driver versions < 8.
Comment 66 Cameron McCormack (:heycam) 2011-06-22 13:56:37 PDT
http://hg.mozilla.org/mozilla-central/rev/1d90c5f569a2
Comment 67 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-06-22 15:33:36 PDT
Comment on attachment 538797 [details] [diff] [review]
Disable the swipe gesture half of the Elantech hack for driver versions < 8.

Relatively low risk. Just turns off a hack. Fixes a usability regression that affects quite a lot of people. Seems worth having in Aurora.
Comment 68 Richard G. 2011-06-22 23:21:20 PDT
Dear Cameron / Robert,

Can you please confirm that the logic that disables the hack includes version 8 of the ELAN driver? My 8.0.7.0 driver is very much affected by the hack, and benefitted from Cameron's Nightly build that had it disabled.

Out of curiosity: is there a reason to believe versions 9 is not affected?

Thanks!

- Richard.
Comment 69 Cameron McCormack (:heycam) 2011-06-22 23:24:58 PDT
Richard, yes, sorry I got the patch description wrong.  The swipe hack is indeed disabled for Elantech drivers >= 8.
Comment 70 kita.mishra 2011-06-23 14:58:43 PDT
Was prompted to update to Firefox 5.0 yesterday... has this fix been incorporated into the update?
Comment 71 Jim Mathies [:jimm] 2011-06-23 15:11:12 PDT
(In reply to comment #70)
> Was prompted to update to Firefox 5.0 yesterday... has this fix been
> incorporated into the update?

No, it will land in Aurora, which currently holds FX 6 if I'm reading the schedule right.

https://wiki.mozilla.org/RapidRelease/Calendar
Comment 72 Cameron McCormack (:heycam) 2011-06-23 15:25:10 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/0e63f923d29f
Comment 73 aerice 2011-07-01 09:58:06 PDT
I have a ~4-yr.-old Dell Optiplex desktop and have just upgraded to Windows 7 and Foxfire 4. I don't understand a lot of the above discussion, but the "swipe gesture" seems to apply to my experience. I will be moving my cursor across the screen, when suddenly the browser moves backward three or four screens worth. This will happen in a new session of the computer and Foxfire with no other programs open yet (I start my day by reading the news). This happened once while I was trying to order something and, after three unsuccessful attempts to fill out the form, I gave up and used a different browser. The status of this problems says "Resolved Fixed," but evidently not for version 4. I will upgrade to Version 5 and see if it is actually fixed.
Comment 74 David [:auscompgeek] 2011-10-01 17:36:10 PDT
*** Bug 667180 has been marked as a duplicate of this bug. ***
Comment 75 bkswain 2011-10-06 19:00:24 PDT
I know this is marked resolved, but I'm using FF7 and still having this problem.  Asus U81.  Any suggestions?  Complete reinstall FF from scratch, maybe?
Comment 76 David [:auscompgeek] 2011-10-09 04:33:11 PDT
(In reply to bkswain from comment #75)
> I know this is marked resolved, but I'm using FF7 and still having this
> problem.  Asus U81.  Any suggestions?  Complete reinstall FF from scratch,
> maybe?

Your problem is likely being caused by addons. Start in safe mode and try to reproduce there.
Comment 77 Elideb 2011-10-11 02:50:55 PDT
(In reply to aerice from comment #73)
> The status of this problems says "Resolved Fixed," but evidently
> not for version 4. I will upgrade to Version 5 and see if it is actually
> fixed.

This is marked as resolved in the specified target milestone: Firefox 6.
If you are forced to use older versions of firefox, you should try dmtf2010's solution: enter in your address bar "about:config" and change "ui.elantech_gesture_hacks.enabled" to 0, instead of -1, and restart the browser. That should disable the driver specific hacks creating the issues.
Comment 78 bkswain 2011-10-11 07:32:22 PDT
@auscompgeek:  Tried starting FF7 in safe mode.  Still have the issue.
Comment 79 Cameron McCormack (:heycam) 2011-10-11 20:14:29 PDT
bkswain, are you able to check what version of the Elantech driver you have?  If you are comfortable opening up the Registry Editor to look up a value, the one you want is HKEY_CURRENT_USER\Software\Elantech\MainOption\DriverVersion.
Comment 80 bkswain 2011-10-12 15:19:48 PDT
@Cameron:  Driver version says ETDWare PS/2-x64
Comment 81 bkswain 2011-10-12 15:20:34 PDT
Sorry about that, ETDWare PS/2-x64 7.0.5.7 WHQL
Comment 82 Musaab 2011-12-16 06:34:40 PST
I am getting this problem again with Firefox 9.0
Comment 83 Dmitry 2011-12-31 01:33:57 PST
Still getting this bug with FF 9.0.1
Comment 84 Dmitry 2012-02-10 12:20:07 PST
it is NOT resolved!!!
it is NOT fixed!!!
Still getting this annoying bug in FF 10.0 !!!
(Gone crying using chrome)
Comment 85 Timothy Nikkel (:tnikkel) 2012-02-10 12:38:05 PST
Please file a new bug and include your touchpad driver version.
Comment 86 the_harper 2012-03-10 15:14:15 PST
Why is this bug marked as resolved/fixed when it is still occurring in 10.0.2?
Comment 87 Timothy Nikkel (:tnikkel) 2012-03-10 15:16:20 PST
Because a patch landed from this bug. Reopening this bug would cause a lot of confusion. Please file a new bug.
Comment 88 the_harper 2012-03-10 17:37:48 PST
I don't see how it makes sense to open a new thread for a new patch to an existing bug which the previous patch didn't fix.  In any case, I've posted a followup to a new thread which someone else started with the same subject line and what appears to be the same fault.  It seems to me that the patch which resulted from this thread was not adequately tested, or changes in later versions of the browser proke the patch.

Bug 726265 - Page up/down behaviour changes to "page back/forward"
Comment 89 Musaab 2012-03-20 01:26:27 PDT
I switched to Chrome because of this.

Note You need to log in before you can comment on or make changes to this bug.